Issue 88112

Summary: Impress should not add 10s delay when loading looping PPT file
Product: Impress Reporter: levien <levien>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, jeromepoulin
Version: OOo 2.4.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description levien 2008-04-09 18:28:31 UTC
When loading an endlessly looping PowerPoint presentation into Impress, the
repeat delay is always set to 10 seconds. For unattended slideshows, this is
inappropriate, especially since Impress shows a countdown every time it reaches
the end of the slideshow.

The delay can be removed by manually setting it to 0 seconds and saving the
presentation an an ODP-file. But obviously this is not possible for unattended
slideshow that are automatically launched (e.g. from a script), and that depend
on externally imported PPT files. Moreover, it confuses people, because
PowerPoint does not add the 10s delay (and probably cannot even store the delay
in the PPT file?).

Is there any reason why the default delay cannot be 0 seconds, at least for
imported PowerPoint presentations?
Comment 1 wolframgarten 2008-04-10 07:41:47 UTC
Reassigned.
Comment 2 christian.guenther 2008-04-10 10:54:50 UTC
Set to new and change the target.
Comment 3 christian.guenther 2008-04-10 12:06:36 UTC
I can reproduce the bug indev300m5
Comment 4 clippka 2008-04-10 12:09:27 UTC
reassigned
Comment 5 clippka 2008-04-10 12:53:52 UTC
verified in cws odfversion, back to qa
Comment 6 clippka 2008-04-10 12:56:50 UTC
sorry, wrong issue
Comment 7 ticpu 2009-10-05 18:01:07 UTC
Is that fixed yet?
Comment 8 levien 2009-10-31 17:01:48 UTC
Pending a fix, here is a workaround for the issue (courtesy of Thom Kouwenhoven):

- Start Impress 
- Select Tools -> Macros -> Organise macros -> OpenOffice.org Basic
- In the left pane, select My Macros -> Standard -> Module1
- In the right pane you will get: Main
- Select Edit
- You should get something like:

-------------------------------------------
REM  *****  BASIC  *****

Sub Main


End Sub
-------------------------------------------


- Replace this with the following macro (uncomment additional lines you think
you'll need):

-------------------------------------------

REM  *****  BASIC  *****
REM Set presentation variables for all presentations
REM See also the OOo Developer's Guide:
http://wiki.services.openoffice.org/w/images/9/93/DevelopersGuide_OOo3.1.0_09DrawingDocuments.odt

Sub Main

Dim Doc As Object
Dim Presentation As Object

Doc = ThisComponent
Presentation = Doc.Presentation

REM Uncomment the line below to make all presentations loop endlessly:
REM Presentation.IsEndless(True)

REM Uncomment the line below to make all presentations run fullscreen:
REM Presentation.IsFullScreen(True)

REM Uncomment the line below to remove the 10-second delay:
Presentation.Pause = 0

REM Uncomment the line below to bypass the navigator on program start:
REM Presentation.StartWithNavigator(False)

REM Uncomment the line below to make sure presentations always run on top:
REM Presentation.IsAlwaysOnTop(False)

REM Uncomment the line below to change slides automatically rather than manually
on all presentations:
REM Presentation.IsAutomatic(True)

REM Uncomment the line below to allow animations in all presentations:
REM Presentation.AllowAnimations(True)

REM Uncomment the line below to always hide the mouse during presentations:
REM Presentation.IsMouseVisible(False)

REM Uncomment the line below to start presentations directly on opening:
REM Presentation.start()

End Sub

----------------------------------------------

- Save the macro, close the dialog (of course you're welcome to give the macro a
somewhat more informative name than the default)
- Select Extra -> Customize in the menu
- Select the tab Events
- At the bottom of the dialog it says Save In: Untitled1 (or another filename)
- Change Untitled1 into OpenOffice.org (this will save the event in the global
configuration instead of the local document)
- Select the event Open Document
- Click on Macro...
- Select your library in the left pane (e.g. My Macros -> Standard -> Module1)
- Select "Main" in the right pane, and click OK. This will assign the macro you
just created to an "Open Document" event.